### R code from vignette source 'soilwaterptf_vignette.Rnw'

###################################################
### code chunk number 1: soilwaterptf_vignette.Rnw:83-89
###################################################
# Set a few Sweave options:
options( 
    width       = 65,  # width of R output
    prompt      = " ", # Sign preceding R input in R-GUI
    continue    = " "  # same, but after 2nd line
)   # 


###################################################
### code chunk number 2: soilwaterptf_vignette.Rnw:168-171 (eval = FALSE)
###################################################
## install.packages(
##     pkgs  = "soilwaterptf", 
##     repos = "http://R-Forge.R-project.org" )


###################################################
### code chunk number 3: soilwaterptf_vignette.Rnw:182-185 (eval = FALSE)
###################################################
## install.packages(
##     pkgs  = "soilwaterptf_1.0.1.zip", 
##     repos = NULL )


###################################################
### code chunk number 4: soilwaterptf_vignette.Rnw:192-193
###################################################
library( "soilwaterptf" ) 


###################################################
### code chunk number 5: soilwaterptf_vignette.Rnw:204-218
###################################################
# Create a dummy dataset of soil properties
dtf <- expand.grid( 
    "bulkD"   = seq(1,1.6,.2), 
    "om"      = seq(1,3,.25), 
    "clay"    = seq(10,50,10), 
    "silt"    = seq(10,50,10), 
    "topSoil" = 0:1   
)   #
#
# And inspect the result:
colnames( dtf ) 
dim( dtf ) 
head( dtf ) 
tail( dtf ) 


###################################################
### code chunk number 6: soilwaterptf_vignette.Rnw:235-236
###################################################
res <- ptf.wosten( soilprop = dtf, units = c("-","m","day") ) 


###################################################
### code chunk number 7: soilwaterptf_vignette.Rnw:260-264
###################################################
colnames( res ) 
dim( res ) 
head( res ) 
tail( res ) 


###################################################
### code chunk number 8: soilwaterptf_vignette.Rnw:280-301
###################################################
# Load soilwaterfun (installed separately):
library("soilwaterfun") 
#
# Look at the soil properties:
dtf[438,]
res[438,]
#
curve( 
    fun.vangenuchten.theta.h( 
        h       = -x,                 # in [meter]
        alpha   = res[438,"alpha"],   # in [meter-1]
        n       = res[438,"n"],       # [-]
        thetaS  = res[438,"thetaS"],  # [-]
        thetaR  = 0  
    ),  #
    xlim = c(0.001,158), 
    col  = "red", 
    log  = "x", 
    xlab = "-h", 
    ylab = expression( theta ) 
)   #


###################################################
### code chunk number 9: soilwaterptf_vignette.Rnw:309-322
###################################################
curve( 
    fun.mualem.vangenuchten.K.h( 
        h       = -x,               # in [meter]
        Ks      = res[438,"kSat"],  # in [meter.T-1], here T = day
        alpha   = res[438,"alpha"], # in [meter-1] 
        n       = res[438,"n"]      # [-] 
    ),  #
    xlim = c(0.001,158), 
    col  = "red", 
    log  = "xy", 
    xlab = "-h", 
    ylab = "K"
)   #


